package com.muyu.common.acos.interceptor;

/**
 * @Author: 胡杨
 * @Name: NacosNamespaceInterceptor
 * @Description: 设置命名空间类
 * @CreatedDate: 2024/8/9 下午7:04
 * @FilePath: com.muyu.common.acos.interceptor
 */


import com.dtflys.forest.http.ForestRequest;
import com.dtflys.forest.interceptor.Interceptor;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.factory.annotation.Value;

/**
 * @Author: 胡杨
 * @Name: NacosNamespaceInterceptor
 * @Description: 拦截器类
 * @CreatedDate: 2024/8/9 下午7:04
 * @FilePath: com.muyu.common.acos.interceptor
 */

public class NacosNamespaceInterceptor implements Interceptor<T> {

    @Value("${nacos.namespace")
    private String namespaceId;

    @Override
    public boolean beforeExecute(ForestRequest request) {
//        Object reqNamespaceId = request.getQuery("namespaceId");
//        if (null == reqNamespaceId){
        request.addQuery("namespaceId",namespaceId);
//        }
        return true;
    }
}
